> ## Name

> cgSetProgramOutputVertices - set the maximum number of geometry program output vertices

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetProgramOutputVertices( CGprogram prog, int vertices );

> ## Parameters

> program
>   The program.
> vertices
>   The maximum number of geometry program output vertices or -1 to use the compiler-detected upper bound.

> ## Return Values

> None.

> ## Description

> cgSetProgramOutputVertices allows the application to specify the maximum number of output vertices for a geometry program. In many cases an upper bound can be determined by the compiler and does not need to be specified by the application. If an upper bound can not be determined by the compiler and isn't specified by the application, then the maximum supported number of outputs will be used, with possible performance implications.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgSetProgramOutputVertices was introduced in Cg 3.1.

> ## See Also

> cgGetProgramOutputVertices, cgSetProgramProfile, gp4gp, gp5gp, glslg.